Tool: list_db_systems
List Db systems in a Google Cloud project in the given location.
The following code sample shows how to use curl to call the list_db_systems MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_db_systems", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request for DbSystem.List.
ListDbSystemsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string, "orderBy": string } |
| Fields | |
|---|---|
parent |
Required. The parent value for DbSystems in the following format: projects/{project}/locations/{location}. |
pageSize |
Optional. The maximum number of items to return. If unspecified, at most 50 DbSystems will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. An expression for filtering the results of the request. |
orderBy |
Optional. An expression for ordering the results of the request. |
Output Schema
The response for DbSystem.List.
ListDbSystemsResponse
| JSON representation |
|---|
{
"dbSystems": [
{
object ( |
| Fields | |
|---|---|
dbSystems[] |
The list of DbSystems. |
nextPageToken |
A token identifying a page of results the server should return. |
unreachable[] |
Unreachable locations when listing resources across all locations using wildcard location '-'. |
DbSystem
| JSON representation |
|---|
{
"name": string,
"properties": {
object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the DbSystem resource in the following format: projects/{project}/locations/{region}/dbSystems/{db_system} |
properties |
Optional. Immutable. The properties of the DbSystem. |
gcpOracleZone |
Optional. Immutable. The GCP Oracle zone where Oracle DbSystem is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability. |
labels |
Optional. The labels or tags associated with the DbSystem. An object containing a list of |
odbNetwork |
Optional. Immutable. The name of the OdbNetwork associated with the DbSystem. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network} It is optional but if specified, this should match the parent ODBNetwork of the OdbSubnet. |
odbSubnet |
Required. Immutable. The name of the OdbSubnet associated with the DbSystem for IP allocation. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet} |
entitlementId |
Output only. The ID of the subscription entitlement associated with the DbSystem |
displayName |
Required. Immutable. The display name for the System db. The name does not have to be unique within your project. |
createTime |
Output only. The date and time that the DbSystem was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
ociUrl |
Output only. HTTPS link to OCI resources exposed to Customer via UI Interface. |
DbSystemProperties
| JSON representation |
|---|
{ "shape": string, "computeCount": integer, "initialDataStorageSizeGb": integer, "databaseEdition": enum ( |
| Fields | |
|---|---|
shape |
Required. Shape of DB System. |
computeCount |
Required. The number of CPU cores to enable for the DbSystem. |
initialDataStorageSizeGb |
Required. The initial data storage size in GB. |
databaseEdition |
Required. The database edition of the DbSystem. |
licenseModel |
Required. The license model of the DbSystem. |
sshPublicKeys[] |
Required. SSH public keys to be stored with the DbSystem. |
hostnamePrefix |
Optional. Prefix for DB System host names. |
hostname |
Output only. The hostname of the DbSystem. |
privateIp |
Optional. The private IP address of the DbSystem. |
dataCollectionOptions |
Optional. Data collection options for diagnostics. |
timeZone |
Optional. Time zone of the DbSystem. |
lifecycleState |
Output only. State of the DbSystem. |
dbHome |
Optional. Details for creating a Database Home. |
ocid |
Output only. OCID of the DbSystem. |
memorySizeGb |
Optional. The memory size in GB. This value can not be set and is automatically calculated based on the number of ECPUs allocated to the DbSystem. |
computeModel |
Optional. The compute model of the DbSystem. |
dataStorageSizeGb |
Optional. The data storage size in GB that is currently available to DbSystems. The value is same as initial_data_storage_size_gb. This can be modified from OCI console. |
recoStorageSizeGb |
Optional. The reco/redo storage size in GB. The value for recovery storage size is based on the available data storage size. |
domain |
Optional. The host domain name of the DbSystem. |
nodeCount |
Optional. The number of nodes to launch for a virtual machine DbSystem. By default this will be set to 1. |
dbSystemOptions |
Optional. The options for the DbSystem. |
DataCollectionOptionsDbSystem
| JSON representation |
|---|
{ "isDiagnosticsEventsEnabled": boolean, "isIncidentLogsEnabled": boolean } |
| Fields | |
|---|---|
isDiagnosticsEventsEnabled |
Optional. Indicates whether to enable data collection for diagnostics. |
isIncidentLogsEnabled |
Optional. Indicates whether to enable incident logs and trace collection. |
TimeZone
| JSON representation |
|---|
{ "id": string, "version": string } |
| Fields | |
|---|---|
id |
IANA Time Zone Database time zone. For example "America/New_York". |
version |
Optional. IANA Time Zone Database version number. For example "2019a". |
DbHome
| JSON representation |
|---|
{
"displayName": string,
"dbVersion": string,
"database": {
object ( |
| Fields | |
|---|---|
displayName |
Optional. The display name for the Database Home. The name does not have to be unique within your project. |
dbVersion |
Required. A valid Oracle Database version. For a list of supported versions, use the ListDbVersions operation. |
database |
Required. The Database resource. |
isUnifiedAuditingEnabled |
Optional. Whether unified auditing is enabled for the Database Home. |
Database
| JSON representation |
|---|
{ "name": string, "dbName": string, "dbUniqueName": string, "adminPassword": string, "adminPasswordSecretVersion": string, "tdeWalletPassword": string, "tdeWalletPasswordSecretVersion": string, "characterSet": string, "ncharacterSet": string, "ociUrl": string, "createTime": string, "properties": { object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the Database resource in the following format: projects/{project}/locations/{region}/databases/{database} |
dbName |
Optional. The database name. The name must begin with an alphabetic character and can contain a maximum of eight alphanumeric characters. Special characters are not permitted. |
dbUniqueName |
Optional. The DB_UNIQUE_NAME of the Oracle Database being backed up. |
adminPassword |
Optional. Input only. The password for the default ADMIN user. Note: Only one of |
adminPasswordSecretVersion |
Optional. Input only. The resource name of a secret version in Secret Manager which contains the database admin user's password. Format: projects/{project}/secrets/{secret}/versions/{version}. Note: Only one of |
tdeWalletPassword |
Optional. Input only. The TDE wallet password for the database. Note: Only one of |
tdeWalletPasswordSecretVersion |
Optional. Input only. The resource name of a secret version in Secret Manager which contains the TDE wallet password for the database. Format: projects/{project}/secrets/{secret}/versions/{version}. Note: Only one of |
characterSet |
Optional. The character set for the database. The default is AL32UTF8. |
ncharacterSet |
Optional. The national character set for the database. The default is AL16UTF16. |
ociUrl |
Output only. HTTPS link to OCI resources exposed to Customer via UI Interface. |
createTime |
Output only. The date and time that the Database was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
properties |
Optional. The properties of the Database. |
databaseId |
Optional. The database ID of the Database. |
dbHomeName |
Optional. The name of the DbHome resource associated with the Database. |
gcpOracleZone |
Output only. The GCP Oracle zone where the Database is created. |
opsInsightsStatus |
Output only. The Status of Operations Insights for this Database. |
pluggableDatabaseId |
Optional. The ID of the pluggable database associated with the Database. The ID must be unique within the project and location. |
pluggableDatabaseName |
Optional. The pluggable database associated with the Database. The name must begin with an alphabetic character and can contain a maximum of thirty alphanumeric characters. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
DatabaseProperties
| JSON representation |
|---|
{ "state": enum ( |
| Fields | |
|---|---|
state |
Output only. State of the Database. |
dbVersion |
Required. The Oracle Database version. |
dbBackupConfig |
Optional. Backup options for the Database. |
databaseManagementConfig |
Output only. The Database Management config. |
DbBackupConfig
| JSON representation |
|---|
{ "autoBackupEnabled": boolean, "backupDestinationDetails": [ { object ( |
| Fields | |
|---|---|
autoBackupEnabled |
Optional. If set to true, enables automatic backups on the database. |
backupDestinationDetails[] |
Optional. Details of the database backup destinations. |
retentionPeriodDays |
Optional. The number of days an automatic backup is retained before being automatically deleted. This value determines the earliest point in time to which a database can be restored. Min: 1, Max: 60. |
backupDeletionPolicy |
Optional. This defines when the backups will be deleted after Database termination. |
autoFullBackupDay |
Optional. The day of the week on which the full backup should be performed on the database. If no value is provided, it will default to Sunday. |
autoFullBackupWindow |
Optional. The window in which the full backup should be performed on the database. If no value is provided, the default is anytime. |
autoIncrementalBackupWindow |
Optional. The window in which the incremental backup should be performed on the database. If no value is provided, the default is anytime except the auto full backup day. |
BackupDestinationDetails
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Optional. The type of the database backup destination. |
DatabaseManagementConfig
| JSON representation |
|---|
{ "managementState": enum ( |
| Fields | |
|---|---|
managementState |
Output only. The status of the Database Management service. |
managementType |
Output only. The Database Management type. |
DbSystemOptions
| JSON representation |
|---|
{
"storageManagement": enum ( |
| Fields | |
|---|---|
storageManagement |
Optional. The storage option used in DB system. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
DbSystemDatabaseEdition
The editions available for DbSystem.
| Enums | |
|---|---|
DB_SYSTEM_DATABASE_EDITION_UNSPECIFIED |
The database edition is unspecified. |
STANDARD_EDITION |
The database edition is Standard. |
ENTERPRISE_EDITION |
The database edition is Enterprise. |
ENTERPRISE_EDITION_HIGH_PERFORMANCE |
The database edition is Enterprise Edition. |
LicenseModel
The license model of the DbSystem.
| Enums | |
|---|---|
LICENSE_MODEL_UNSPECIFIED |
The license model is unspecified. |
LICENSE_INCLUDED |
The license model is included. |
BRING_YOUR_OWN_LICENSE |
The license model is bring your own license. |
DbSystemLifecycleState
The various lifecycle states of the DbSystem.
| Enums | |
|---|---|
DB_SYSTEM_LIFECYCLE_STATE_UNSPECIFIED |
Default unspecified value. |
PROVISIONING |
Indicates that the resource is in provisioning state. |
AVAILABLE |
Indicates that the resource is in available state. |
UPDATING |
Indicates that the resource is in updating state. |
TERMINATING |
Indicates that the resource is in terminating state. |
TERMINATED |
Indicates that the resource is in terminated state. |
FAILED |
Indicates that the resource is in failed state. |
MIGRATED |
Indicates that the resource has been migrated. |
MAINTENANCE_IN_PROGRESS |
Indicates that the resource is in maintenance in progress state. |
NEEDS_ATTENTION |
Indicates that the resource needs attention. |
UPGRADING |
Indicates that the resource is upgrading. |
DatabaseLifecycleState
The various lifecycle states of the Database.
| Enums | |
|---|---|
DATABASE_LIFECYCLE_STATE_UNSPECIFIED |
Default unspecified value. |
PROVISIONING |
Indicates that the resource is in provisioning state. |
AVAILABLE |
Indicates that the resource is in available state. |
UPDATING |
Indicates that the resource is in updating state. |
BACKUP_IN_PROGRESS |
Indicates that the resource is in backup in progress state. |
UPGRADING |
Indicates that the resource is in upgrading state. |
CONVERTING |
Indicates that the resource is in converting state. |
TERMINATING |
Indicates that the resource is in terminating state. |
TERMINATED |
Indicates that the resource is in terminated state. |
RESTORE_FAILED |
Indicates that the resource is in restore failed state. |
FAILED |
Indicates that the resource is in failed state. |
BackupDestinationType
The type of the database backup destination.
| Enums | |
|---|---|
BACKUP_DESTINATION_TYPE_UNSPECIFIED |
Default unspecified value. |
NFS |
Backup destination type is NFS. |
RECOVERY_APPLIANCE |
Backup destination type is Recovery Appliance. |
OBJECT_STORE |
Backup destination type is Object Store. |
LOCAL |
Backup destination type is Local. |
DBRS |
Backup destination type is DBRS. |
BackupDeletionPolicy
This defines when the backups will be deleted after Database termination.
| Enums | |
|---|---|
BACKUP_DELETION_POLICY_UNSPECIFIED |
Default unspecified value. |
DELETE_IMMEDIATELY |
Keeps the backup for predefined time i.e. 72 hours and then delete permanently. |
DELETE_AFTER_RETENTION_PERIOD |
Keeps the backups as per the policy defined for database backups. |
DayOfWeek
Represents a day of the week.
| Enums | |
|---|---|
DAY_OF_WEEK_UNSPECIFIED |
The day of the week is unspecified. |
MONDAY |
Monday |
TUESDAY |
Tuesday |
WEDNESDAY |
Wednesday |
THURSDAY |
Thursday |
FRIDAY |
Friday |
SATURDAY |
Saturday |
SUNDAY |
Sunday |
BackupWindow
The 2 hour window in which the backup should be performed on the database.
| Enums | |
|---|---|
BACKUP_WINDOW_UNSPECIFIED |
Default unspecified value. |
SLOT_ONE |
12:00 AM - 2:00 AM |
SLOT_TWO |
2:00 AM - 4:00 AM |
SLOT_THREE |
4:00 AM - 6:00 AM |
SLOT_FOUR |
6:00 AM - 8:00 AM |
SLOT_FIVE |
8:00 AM - 10:00 AM |
SLOT_SIX |
10:00 AM - 12:00 PM |
SLOT_SEVEN |
12:00 PM - 2:00 PM |
SLOT_EIGHT |
2:00 PM - 4:00 PM |
SLOT_NINE |
4:00 PM - 6:00 PM |
SLOT_TEN |
6:00 PM - 8:00 PM |
SLOT_ELEVEN |
8:00 PM - 10:00 PM |
SLOT_TWELVE |
10:00 PM - 12:00 AM |
ManagementState
The status of the Database Management service.
| Enums | |
|---|---|
MANAGEMENT_STATE_UNSPECIFIED |
The status is not specified. |
ENABLING |
The Database Management service is enabling. |
ENABLED |
The Database Management service is enabled. |
DISABLING |
The Database Management service is disabling. |
DISABLED |
The Database Management service is disabled. |
UPDATING |
The Database Management service is updating. |
FAILED_ENABLING |
The Database Management service failed to enable. |
FAILED_DISABLING |
The Database Management service failed to disable. |
FAILED_UPDATING |
The Database Management service failed to update. |
ManagementType
The Database Management type.
| Enums | |
|---|---|
MANAGEMENT_TYPE_UNSPECIFIED |
The type is not specified. |
BASIC |
Basic Database Management. |
ADVANCED |
Advanced Database Management. |
OperationsInsightsStatus
The Status of Operations Insights for this Database.
| Enums | |
|---|---|
OPERATIONS_INSIGHTS_STATUS_UNSPECIFIED |
Default unspecified value. |
ENABLING |
Indicates that the operations insights are being enabled. |
ENABLED |
Indicates that the operations insights are enabled. |
DISABLING |
Indicates that the operations insights are being disabled. |
NOT_ENABLED |
Indicates that the operations insights are not enabled. |
FAILED_ENABLING |
Indicates that the operations insights failed to enable. |
FAILED_DISABLING |
Indicates that the operations insights failed to disable. |
ComputeModel
The compute model of the DbSystem.
| Enums | |
|---|---|
COMPUTE_MODEL_UNSPECIFIED |
The compute model is unspecified. |
ECPU |
The compute model is virtual. |
OCPU |
Deprecated: This option is not supported. Please use ECPU instead. The compute model is physical. |
StorageManagement
The storage option used in DB system.
| Enums | |
|---|---|
STORAGE_MANAGEMENT_UNSPECIFIED |
The storage management is unspecified. |
ASM |
Automatic storage management. This option is not supported. Only LVM is supported. |
LVM |
Logical Volume management. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌